package com.hyxen.app.AdLocusExample;

import com.adlocus.*;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.Gravity;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.LinearLayout;

public class AdLocusExampleActivity extends Activity implements OnClickListener
{
	
	//請改為您申請的 app key
	private static final String KEY = "改為您申請的 AdLocus key";
	private InterstitialAd mInterstitialAd;
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        findViewById(R.id.Button_Setting).setOnClickListener(this);
        findViewById(R.id.Button_InterstitialAd).setOnClickListener(this);
        findViewById(R.id.Button_PushAd).setOnClickListener(this);

        //初始化全屏廣告
		mInterstitialAd = new InterstitialAd(this, KEY);
		mInterstitialAd.loadAd();
		
		//請選擇是否使用新型態優惠通知服務
		boolean isNewPushType = true;
		if (isNewPushType) {
			//啟用新型態優惠通知服務
			PushAd.enablePush(this, KEY, new Intent(this, AdLocusExampleActivity.class));
		}else{
			//啟用優惠通知服務
			PushAd.enablePush(this, KEY);
		}

		
		//加入ad layout
		LinearLayout layout = (LinearLayout) findViewById(R.id.mainLayout);

		if (layout == null)
		{
			Log.e("AdLocus", "Layout is null!");
			return;
		}
		
		// 設定輪播時間，最低 15 秒，-1 為不輪播只顯示一則
		int refreshRate = 15; //每15秒輪播一次
		AdLocusLayout adlocusLayout = new AdLocusLayout(this, AdLocusLayout.AD_SIZE_BANNER, KEY, refreshRate);
		
		// 選擇性，設定輪播動畫，預設為淡入
		adlocusLayout.setTransitionAnimation(AdLocusLayout.ANIMATION_RANDOM); // 隨機動畫
		
		LinearLayout.LayoutParams adlocusLayoutParams = new LinearLayout.LayoutParams(
				ViewGroup.LayoutParams.WRAP_CONTENT, 
				ViewGroup.LayoutParams.WRAP_CONTENT);
		
		adlocusLayoutParams.gravity = Gravity.CENTER;
		
		layout.addView(adlocusLayout, adlocusLayoutParams);

		layout.setGravity(Gravity.CENTER_HORIZONTAL);
		layout.invalidate();
    }


	@Override
	public void onClick(View v)
	{
		switch (v.getId())
		{
		//顯示設定頁面
		case R.id.Button_Setting:
			PushAd.showSettingPage(this, KEY);
			break;

		//展示插頁式廣告
		case R.id.Button_InterstitialAd:
			mInterstitialAd.show();
			break;
		
		//測試推播式廣告是否成功整合，如果沒有出現推播式廣告再通知列請重新檢查。
		case R.id.Button_PushAd:
			PushAd.test(this);
			break;
		default:
			break;
		}
	}
}